<div class="file-single-view">
    <mr-image [path]="file.picture"></mr-image>

    <div class="title">
        <mr-dropdown *ngIf="showMenu" transformOrigin="top right">
            <ul>
                <li (click)="edit.emit()">Editar ficha</li>
                <li (click)="remove.emit()">Eliminar ficha</li>
            </ul>
        </mr-dropdown>
        <h5>{{ file.title }}</h5>
        <p>Por <a [routerLink]="file.author | profileUrl">{{ file.author }}</a></p>
        <mr-timestamp [createdAt]="file.createdAt" [lastEdit]="file.lastEdit"></mr-timestamp>
    </div>

    <mr-editor-readonly [html]="file.body"></mr-editor-readonly>

    <hr>

    <ng-container *ngIf="file.linkedThreads.length else noThreads">
        <ng-container *ngIf="threads$ | async as threads; else load">
            <p class="muted small thread-getter">
                Esta ficha ha sido incluída en <b>{{ file.linkedThreads.length | plural:'hilo' }}</b>
            </p>
            <mr-load-more-feed
            [loading]="loading$ | async"
            [end]="end$ | async"
            (loadMore)="getThreads()">

                <ng-container *ngFor="let t of threads">
                    <ng-container *ngIf="t.body then brief else empty"></ng-container>

                    <ng-template #brief>
                        <mr-thread-brief [thread]="t"></mr-thread-brief>
                    </ng-template>

                    <ng-template #empty>
                        <mr-ghost-box [height]="150"></mr-ghost-box>
                    </ng-template>
                </ng-container>

            </mr-load-more-feed>
        </ng-container>

        <ng-template #load>
            <p class="muted small thread-getter">
                Esta ficha ha sido incluída en
                <b>{{ file.linkedThreads.length | plural:'hilo' }}</b>
                <button mr-button class="primary hover small" (click)="showThreads()">Ver hilos</button>
            </p>
        </ng-template>
    </ng-container>

    <ng-template #noThreads>
        <p class="muted small thread-getter">
            Esta ficha no ha sido incluída en ningún hilo
        </p>
    </ng-template>

</div>
